Whamcloud - gitweb
b=23721 remove rdac & mptlinux build; canon ofed
[fs/lustre-release.git] / lustre / kernel_patches / targets / 2.6-sles11.target.in
index 475adc0..a5a8c10 100644 (file)
@@ -1,29 +1,22 @@
 lnxmaj="2.6.27"
 lnxmin=".23"
-# when we fix up this lnxmaj/lnxmin/lnxrel business...
-#lnxrel="0.37_f594963d"
-# and note that this means we get rid of the EXTRA_VERSION_DELIMITER crap!!
-lnxrel="23-0.1"
+lnxrel="0.1"
 # use this when there is an "RPM fix" which means that the name of the
 # (source) RPM has been updated but the version of the kernel inside the
 # RPM is not also updated
-rpmfix=".1"
-
-# this is the delimeter that goes between $lnxmaj and $lnxrel
-# defaults to "-"
-EXTRA_VERSION_DELIMITER="."
+#rpmfix=".1"
 
 # this is the delimeter that goes before the "smp" at the end of the version
 # defaults to empty
-TARGET_DELIMITER="-"
+FLAVOR_DELIMITER="-"
 
-KERNEL_SRPM=kernel-source-$lnxmaj.$lnxrel${rpmfix}.src.rpm
+KERNEL_SRPM=kernel-source-${lnxmaj}${lnxmin}-${lnxrel}${rpmfix}.src.rpm
 SERIES=2.6-sles11.series
 VERSION=$lnxmaj
-EXTRA_VERSION="${lnxrel}_lustre.@VERSION@"
+EXTRA_VERSION="${lnxmin#.}-${lnxrel}_lustre.@VERSION@"
 LUSTRE_VERSION=@VERSION@
 
-#OFED_VERSION=1.4.1-rc4
+OFED_VERSION=1.5.1
 
 BASE_ARCHS="i686 ppc x86_64 ia64 ppc64"
 BIGMEM_ARCHS=""